Airport mode prevents battery from charging

Bug #302924 reported by yakker.yak on 2008-11-27
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Dell Mini Project
Undecided
Unassigned

Bug Description

Enabling airport mode interferes with the battery being able to charge again.

Disabling airport mode seems to fix the issue and the battery is able to charge again.

From http://www.mydellmini.com/forum/battery-not-charging-p9419.html

Changed in dell-mini:
status: New → Confirmed
Nicola Ferralis (feranick) wrote :

The software seems to interact pretty deeply with the hardware in this issue, a switch in the bios activated by the Airplane mode. When I had this problem, I reinstalled the Ubuntu-mini from scratch and the problem was still there. However disabling and re-enabling the Airplane Mode fixed it right away.

Fabián Rodríguez (magicfab) wrote :

Disabling the airplane mode doesn't require installing any additional application. Follow these steps:

   1. Start the Airplane mode application
          * if you're using the Classic Desktop, go to System > Preferences > Airplane mode
          * if you're using the Dell Desktop, click on the Ubuntu logo on the top leftmost par of the screen, then go to System > Preferences > Airplane mode
   2. Go to the "Airplane Mode" tab and click "Disable Airplane Mode"

Ivà Burgos (ivaburgos) wrote :

I can confirm this bug and the workaround proposed by Fabián Rodríguez. I'm using the ubuntu factory-installed on mini-9, up to date.

Nicola Ferralis (feranick) wrote :

It seems that the latest set of updates have fixed this bug. I can now charge the mini while in Airport mode.

This bug should be closed, please check.

Changed in dell-mini:
status: Confirmed → Fix Committed
Ivà Burgos (ivaburgos) wrote :

That's not the case. I still have the same issue and my sysem is up to date.

Nicola Ferralis (feranick) wrote :

Reverting to confirmed, since the latest updates don't seem to have fixed after all...

Changed in dell-mini:
status: Fix Committed → Confirmed
hackel (hackel) wrote :

Are we sure this is not intentional? Often times, when using laptops on planes, they advise you to remove the battery because their AC outlet cannot handle the full load of running the computer and charging the battery. This would eliminate the need to remove the battery, which is much safer in the case of a power loss. Since this application is *specifically* called "airplane mode", it seems only natural that this feature be left intact.

Pat McGowan (pat-mcgowan) wrote :

This is an intentional effect as required in new laptops. I would say the issue is that the UI is not helpful in indicating that airplane mode is enabled and therefore charging is disabled.

Nicola Ferralis (feranick) wrote :

Should the UI be changed then? There is a lot of unofficial talk in forums about the issue, and confusion too. Maybe adding a line saying that power charging is disabled would be quite beneficial (or even better, add a checkbox if you want this feature enabled in Aircraft mode).

Pat McGowan (pat-mcgowan) wrote :

Please update the UI to explain the power charging connection.

Changed in dell-mini:
assignee: nobody → knitzsche
Hiroshi Miura (miurahr) wrote :

+1 to add UI like a checkbox .

I try to realize it. see a patch for airplane-manager-12.1 jaunty source package.

Hiroshi Miura (miurahr) wrote :

I updated the patch to keep preference whether recharge is going or not in the airplane mode.

Hiroshi Miura (miurahr) wrote :

update for message catalogs

Hiroshi Miura (miurahr) wrote :

I make a PPA w/ my proposed patch on #12 and #13.

https://launchpad.net/~miurahr/+archive/ppa

Hiroshi Miura (miurahr) wrote :

HI,

I had mistaken on choice of base version in #12,13 comment, from someone's PPA, rather than original.

You can see my recent patch against ver. belmont11 from my PPA
http://launchpadlibrarian.net/31416053/aircraft-manager_belmont11-1~ppa1.diff.gz

anjilslaire (anjilslaire) wrote :

I've installed Aircraft-Manager on Karmic UNR on the Mini 9, and the battery suddenly refuses to charge, even after disabling airplane mode. I've tried the following to re-enable the battery without success:
http://www.mydellmini.com/forum/dell-mini-9-hardware-issues-problems/420-battery-not-charging-2.html#post12070
http://www.mydellmini.com/forum/dell-mini-9-hardware-issues-problems/1955-fix-no-battery-charging-ubuntu.html#post15644

Thoughts?

anjilslaire (anjilslaire) wrote :

Also posted this under bug 357412. Apologies for duplication if unnecessary.

hackel (hackel) wrote :

anjislaire: There is no version of aircraft-manager for karmic. This is a problem of course, but it's a separate issue and *definitely* not related to this "bug" which is already understood as intended functionality.

Understood, but it's installed because it's listed as being for karmic on this PPA:
https://launchpad.net/~opensource-subakutty/+archive/ppa?field.series_filter=karmic

Either way, airplane mode being enabled or disabled, the system will not allow teh battery to charge anymore.

Need any more useless stuff to read on teh internetz?

> Date: Sun, 20 Dec 2009 17:35:29 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 302924] Re: Airport mode prevents battery from charging
>
> anjislaire: There is no version of aircraft-manager for karmic. This is
> a problem of course, but it's a separate issue and *definitely* not
> related to this "bug" which is already understood as intended
> functionality.
>
> --
> Airport mode prevents battery from charging
> https://bugs.launchpad.net/bugs/302924
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Dell Inspiron Mini with Custom Dell UI: Confirmed
>
> Bug description:
> Enabling airport mode interferes with the battery being able to charge again.
>
> Disabling airport mode seems to fix the issue and the battery is able to charge again.
>
> >From http://www.mydellmini.com/forum/battery-not-charging-p9419.html
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/dell-mini/+bug/302924/+subscribe

_________________________________________________________________
Hotmail: Trusted email with Microsoft’s powerful SPAM protection.
http://clk.atdmt.com/GBL/go/177141664/direct/01/

Nicola Ferralis (feranick) wrote :

The PPA does not guarantee that the package will work with karmic. Any PPA is officially unsupported, so problems like you have may be the result of poor testing from the PPA maintainer. Sometimes packages from old distributions are ported to newer with minimal testing.

> Date: Mon, 21 Dec 2009 05:41:39 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: RE: [Bug 302924] Re: Airport mode prevents battery from charging
>
>
> Understood, but it's installed because it's listed as being for karmic on this PPA:
> https://launchpad.net/~opensource-subakutty/+archive/ppa?field.series_filter=karmic
>
> Either way, airplane mode being enabled or disabled, the system will not
> allow teh battery to charge anymore.
>
> Need any more useless stuff to read on teh internetz?
>
>
>
> > Date: Sun, 20 Dec 2009 17:35:29 +0000
> > From: <email address hidden>
> > To: <email address hidden>
> > Subject: [Bug 302924] Re: Airport mode prevents battery from charging
> >
> > anjislaire: There is no version of aircraft-manager for karmic. This is
> > a problem of course, but it's a separate issue and *definitely* not
> > related to this "bug" which is already understood as intended
> > functionality.
> >
> > --
> > Airport mode prevents battery from charging
> > https://bugs.launchpad.net/bugs/302924
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in Dell Inspiron Mini with Custom Dell UI: Confirmed
> >
> > Bug description:
> > Enabling airport mode interferes with the battery being able to charge again.
> >
> > Disabling airport mode seems to fix the issue and the battery is able to charge again.
> >
> > >From http://www.mydellmini.com/forum/battery-not-charging-p9419.html
> >
> > To unsubscribe from this bug, go to:
> > https://bugs.launchpad.net/dell-mini/+bug/302924/+subscribe
>
> _________________________________________________________________
> Hotmail: Trusted email with Microsoft’s powerful SPAM protection.
> http://clk.atdmt.com/GBL/go/177141664/direct/01/
>
> --
> Airport mode prevents battery from charging
> https://bugs.launchpad.net/bugs/302924
> You received this bug notification because you are subscribed to The
> Dell Mini Project.

_________________________________________________________________
Hotmail: Trusted email with powerful SPAM protection.
http://clk.atdmt.com/GBL/go/177141665/direct/01/

Does anybody know if there is a way to achieve the same effect as enabling airplane mode, on an Ubuntu 11.04 system? If so, please post in https://answers.launchpad.net/ubuntu/+source/acpi/+question/163473. Thanks! (A user who experiences this bug and was able to work around it in Ubuntu 8.04 LTS is now experiencing it on Ubuntu 11.04, which does not have the same configuration options as Ubuntu 8.04 LTS.)

Changed in dell-mini:
assignee: Kyle Nitzsche (knitzsche) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers